Package org.drinkless.tdlib

# Class TdApi.UpdateGroupCallVerificationState

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Update
org.drinkless.tdlib.TdApi.UpdateGroupCallVerificationState

Enclosing class:
  `TdApi`

public static class TdApi.UpdateGroupCallVerificationState extends TdApi.Update
The verification state of an encrypted group call has changed; for group calls not bound to a chat only.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Update

  `TdApi.Update.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String[]`
  `emojis`
  Group call state fingerprint represented as 4 emoji; may be empty if the state isn't verified yet.
  `int`
  `generation`
  The call state generation to which the emoji corresponds.
  `int`
  `groupCallId`
  Identifier of the group call.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UpdateGroupCallVerificationState()`
  The verification state of an encrypted group call has changed; for group calls not bound to a chat only.
  `UpdateGroupCallVerificationState(int groupCallId, int generation, String[] emojis)`
  The verification state of an encrypted group call has changed; for group calls not bound to a chat only.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### groupCallId

    public int groupCallId
    Identifier of the group call.

  - ### generation

    public int generation
    The call state generation to which the emoji corresponds. If generation is different for two users, then their emoji may be also different.

  - ### emojis

    public String[] emojis
    Group call state fingerprint represented as 4 emoji; may be empty if the state isn't verified yet.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### UpdateGroupCallVerificationState

    public UpdateGroupCallVerificationState()
    The verification state of an encrypted group call has changed; for group calls not bound to a chat only.

  - ### UpdateGroupCallVerificationState

    public UpdateGroupCallVerificationState(int groupCallId, int generation, String[] emojis)
    The verification state of an encrypted group call has changed; for group calls not bound to a chat only.
    Parameters:
      `groupCallId` - Identifier of the group call.
      `generation` - The call state generation to which the emoji corresponds. If generation is different for two users, then their emoji may be also different.
      `emojis` - Group call state fingerprint represented as 4 emoji; may be empty if the state isn't verified yet.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Update`
    Returns:
      this.CONSTRUCTOR